ApiYarnUtilization (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiYarnUtilization

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiYarnUtilization

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiYarnUtilization
      extends Object

  Utilization report information of a Yarn application service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiYarnUtilization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiYarnUtilization` | `avgCpuDailyPeak(BigDecimal avgCpuDailyPeak)`
    `ApiYarnUtilization` | `avgCpuDailyPeakPercentage(BigDecimal avgCpuDailyPeakPercentage)`
    `ApiYarnUtilization` | `avgCpuUtilization(BigDecimal avgCpuUtilization)`
    `ApiYarnUtilization` | `avgCpuUtilizationPercentage(BigDecimal avgCpuUtilizationPercentage)`
    `ApiYarnUtilization` | `avgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)`
    `ApiYarnUtilization` | `avgMemoryDailyPeakPercentage(BigDecimal avgMemoryDailyPeakPercentage)`
    `ApiYarnUtilization` | `avgMemoryUtilization(BigDecimal avgMemoryUtilization)`
    `ApiYarnUtilization` | `avgMemoryUtilizationPercentage(BigDecimal avgMemoryUtilizationPercentage)`
    `boolean` | `equals(Object o)`
    `ApiYarnUtilization` | `errorMessage(String errorMessage)`
    `BigDecimal` | `getAvgCpuDailyPeak()` Average daily peak VCores used by YARN applications during the report window.
    `BigDecimal` | `getAvgCpuDailyPeakPercentage()` Average daily peak percentage of VCores used by YARN applications during the report window.
    `BigDecimal` | `getAvgCpuUtilization()` Average number of VCores used by YARN applications during the report window.
    `BigDecimal` | `getAvgCpuUtilizationPercentage()` Average percentage of VCores used by YARN applications during the report window.
    `BigDecimal` | `getAvgMemoryDailyPeak()` Average daily peak memory used by YARN applications during the report window.
    `BigDecimal` | `getAvgMemoryDailyPeakPercentage()` Average daily peak percentage of memory used by YARN applications during the report window.
    `BigDecimal` | `getAvgMemoryUtilization()` Average memory used by YARN applications during the report window.
    `BigDecimal` | `getAvgMemoryUtilizationPercentage()` Average percentage memory used by YARN applications during the report window.
    `String` | `getErrorMessage()` error message of utilization report.
    `BigDecimal` | `getMaxCpuUtilization()` Maximum number of VCores used by YARN applications during the report window.
    `BigDecimal` | `getMaxCpuUtilizationPercentage()` Maximum percentage of VCores used by YARN applications during the report window.
    `BigDecimal` | `getMaxCpuUtilizationTimestampMs()` Timestamp corresponds to maximum number of VCores used by YARN applications during the report window.
    `BigDecimal` | `getMaxMemoryUtilization()` Maximum memory used by YARN applications during the report window.
    `BigDecimal` | `getMaxMemoryUtilizationPercentage()` Maximum percentage of memory used by YARN applications during the report window.
    `BigDecimal` | `getMaxMemoryUtilizationTimestampMs()` Timestamp corresponds to maximum memory used by YARN applications during the report window.
    `ApiYarnTenantUtilizationList` | `getTenantUtilizations()` Get tenantUtilizations
    `int` | `hashCode()`
    `ApiYarnUtilization` | `maxCpuUtilization(BigDecimal maxCpuUtilization)`
    `ApiYarnUtilization` | `maxCpuUtilizationPercentage(BigDecimal maxCpuUtilizationPercentage)`
    `ApiYarnUtilization` | `maxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)`
    `ApiYarnUtilization` | `maxMemoryUtilization(BigDecimal maxMemoryUtilization)`
    `ApiYarnUtilization` | `maxMemoryUtilizationPercentage(BigDecimal maxMemoryUtilizationPercentage)`
    `ApiYarnUtilization` | `maxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)`
    `void` | `setAvgCpuDailyPeak(BigDecimal avgCpuDailyPeak)`
    `void` | `setAvgCpuDailyPeakPercentage(BigDecimal avgCpuDailyPeakPercentage)`
    `void` | `setAvgCpuUtilization(BigDecimal avgCpuUtilization)`
    `void` | `setAvgCpuUtilizationPercentage(BigDecimal avgCpuUtilizationPercentage)`
    `void` | `setAvgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)`
    `void` | `setAvgMemoryDailyPeakPercentage(BigDecimal avgMemoryDailyPeakPercentage)`
    `void` | `setAvgMemoryUtilization(BigDecimal avgMemoryUtilization)`
    `void` | `setAvgMemoryUtilizationPercentage(BigDecimal avgMemoryUtilizationPercentage)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setMaxCpuUtilization(BigDecimal maxCpuUtilization)`
    `void` | `setMaxCpuUtilizationPercentage(BigDecimal maxCpuUtilizationPercentage)`
    `void` | `setMaxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)`
    `void` | `setMaxMemoryUtilization(BigDecimal maxMemoryUtilization)`
    `void` | `setMaxMemoryUtilizationPercentage(BigDecimal maxMemoryUtilizationPercentage)`
    `void` | `setMaxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)`
    `void` | `setTenantUtilizations(ApiYarnTenantUtilizationList tenantUtilizations)`
    `ApiYarnUtilization` | `tenantUtilizations(ApiYarnTenantUtilizationList tenantUtilizations)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiYarnUtilization

          public ApiYarnUtilization()

  - ### Method Detail

    - #### avgCpuUtilization

          public ApiYarnUtilization avgCpuUtilization(BigDecimal avgCpuUtilization)

    - #### getAvgCpuUtilization

          public BigDecimal getAvgCpuUtilization()

      Average number of VCores used by YARN applications during the report window.
      Returns:
        avgCpuUtilization

    - #### setAvgCpuUtilization

          public void setAvgCpuUtilization(BigDecimal avgCpuUtilization)

    - #### maxCpuUtilization

          public ApiYarnUtilization maxCpuUtilization(BigDecimal maxCpuUtilization)

    - #### getMaxCpuUtilization

          public BigDecimal getMaxCpuUtilization()

      Maximum number of VCores used by YARN applications during the report window.
      Returns:
        maxCpuUtilization

    - #### setMaxCpuUtilization

          public void setMaxCpuUtilization(BigDecimal maxCpuUtilization)

    - #### avgCpuDailyPeak

          public ApiYarnUtilization avgCpuDailyPeak(BigDecimal avgCpuDailyPeak)

    - #### getAvgCpuDailyPeak

          public BigDecimal getAvgCpuDailyPeak()

      Average daily peak VCores used by YARN applications during the report window. The number is computed by first finding the maximum resource consumption per day and then taking their mean.
      Returns:
        avgCpuDailyPeak

    - #### setAvgCpuDailyPeak

          public void setAvgCpuDailyPeak(BigDecimal avgCpuDailyPeak)

    - #### maxCpuUtilizationTimestampMs

          public ApiYarnUtilization maxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)

    - #### getMaxCpuUtilizationTimestampMs

          public BigDecimal getMaxCpuUtilizationTimestampMs()

      Timestamp corresponds to maximum number of VCores used by YARN applications during the report window.
      Returns:
        maxCpuUtilizationTimestampMs

    - #### setMaxCpuUtilizationTimestampMs

          public void setMaxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)

    - #### avgCpuUtilizationPercentage

          public ApiYarnUtilization avgCpuUtilizationPercentage(BigDecimal avgCpuUtilizationPercentage)

    - #### getAvgCpuUtilizationPercentage

          public BigDecimal getAvgCpuUtilizationPercentage()

      Average percentage of VCores used by YARN applications during the report window.
      Returns:
        avgCpuUtilizationPercentage

    - #### setAvgCpuUtilizationPercentage

          public void setAvgCpuUtilizationPercentage(BigDecimal avgCpuUtilizationPercentage)

    - #### maxCpuUtilizationPercentage

          public ApiYarnUtilization maxCpuUtilizationPercentage(BigDecimal maxCpuUtilizationPercentage)

    - #### getMaxCpuUtilizationPercentage

          public BigDecimal getMaxCpuUtilizationPercentage()

      Maximum percentage of VCores used by YARN applications during the report window.
      Returns:
        maxCpuUtilizationPercentage

    - #### setMaxCpuUtilizationPercentage

          public void setMaxCpuUtilizationPercentage(BigDecimal maxCpuUtilizationPercentage)

    - #### avgCpuDailyPeakPercentage

          public ApiYarnUtilization avgCpuDailyPeakPercentage(BigDecimal avgCpuDailyPeakPercentage)

    - #### getAvgCpuDailyPeakPercentage

          public BigDecimal getAvgCpuDailyPeakPercentage()

      Average daily peak percentage of VCores used by YARN applications during the report window.
      Returns:
        avgCpuDailyPeakPercentage

    - #### setAvgCpuDailyPeakPercentage

          public void setAvgCpuDailyPeakPercentage(BigDecimal avgCpuDailyPeakPercentage)

    - #### avgMemoryUtilization

          public ApiYarnUtilization avgMemoryUtilization(BigDecimal avgMemoryUtilization)

    - #### getAvgMemoryUtilization

          public BigDecimal getAvgMemoryUtilization()

      Average memory used by YARN applications during the report window.
      Returns:
        avgMemoryUtilization

    - #### setAvgMemoryUtilization

          public void setAvgMemoryUtilization(BigDecimal avgMemoryUtilization)

    - #### maxMemoryUtilization

          public ApiYarnUtilization maxMemoryUtilization(BigDecimal maxMemoryUtilization)

    - #### getMaxMemoryUtilization

          public BigDecimal getMaxMemoryUtilization()

      Maximum memory used by YARN applications during the report window.
      Returns:
        maxMemoryUtilization

    - #### setMaxMemoryUtilization

          public void setMaxMemoryUtilization(BigDecimal maxMemoryUtilization)

    - #### avgMemoryDailyPeak

          public ApiYarnUtilization avgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)

    - #### getAvgMemoryDailyPeak

          public BigDecimal getAvgMemoryDailyPeak()

      Average daily peak memory used by YARN applications during the report window. The number is computed by first finding the maximum resource consumption per day and then taking their mean.
      Returns:
        avgMemoryDailyPeak

    - #### setAvgMemoryDailyPeak

          public void setAvgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)

    - #### maxMemoryUtilizationTimestampMs

          public ApiYarnUtilization maxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)

    - #### getMaxMemoryUtilizationTimestampMs

          public BigDecimal getMaxMemoryUtilizationTimestampMs()

      Timestamp corresponds to maximum memory used by YARN applications during the report window.
      Returns:
        maxMemoryUtilizationTimestampMs

    - #### setMaxMemoryUtilizationTimestampMs

          public void setMaxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)

    - #### avgMemoryUtilizationPercentage

          public ApiYarnUtilization avgMemoryUtilizationPercentage(BigDecimal avgMemoryUtilizationPercentage)

    - #### getAvgMemoryUtilizationPercentage

          public BigDecimal getAvgMemoryUtilizationPercentage()

      Average percentage memory used by YARN applications during the report window.
      Returns:
        avgMemoryUtilizationPercentage

    - #### setAvgMemoryUtilizationPercentage

          public void setAvgMemoryUtilizationPercentage(BigDecimal avgMemoryUtilizationPercentage)

    - #### maxMemoryUtilizationPercentage

          public ApiYarnUtilization maxMemoryUtilizationPercentage(BigDecimal maxMemoryUtilizationPercentage)

    - #### getMaxMemoryUtilizationPercentage

          public BigDecimal getMaxMemoryUtilizationPercentage()

      Maximum percentage of memory used by YARN applications during the report window.
      Returns:
        maxMemoryUtilizationPercentage

    - #### setMaxMemoryUtilizationPercentage

          public void setMaxMemoryUtilizationPercentage(BigDecimal maxMemoryUtilizationPercentage)

    - #### avgMemoryDailyPeakPercentage

          public ApiYarnUtilization avgMemoryDailyPeakPercentage(BigDecimal avgMemoryDailyPeakPercentage)

    - #### getAvgMemoryDailyPeakPercentage

          public BigDecimal getAvgMemoryDailyPeakPercentage()

      Average daily peak percentage of memory used by YARN applications during the report window.
      Returns:
        avgMemoryDailyPeakPercentage

    - #### setAvgMemoryDailyPeakPercentage

          public void setAvgMemoryDailyPeakPercentage(BigDecimal avgMemoryDailyPeakPercentage)

    - #### tenantUtilizations

          public ApiYarnUtilization tenantUtilizations(ApiYarnTenantUtilizationList tenantUtilizations)

    - #### getTenantUtilizations

          public ApiYarnTenantUtilizationList getTenantUtilizations()

      Get tenantUtilizations
      Returns:
        tenantUtilizations

    - #### setTenantUtilizations

          public void setTenantUtilizations(ApiYarnTenantUtilizationList tenantUtilizations)

    - #### errorMessage

          public ApiYarnUtilization errorMessage(String errorMessage)

    - #### getErrorMessage

          public String getErrorMessage()

      error message of utilization report.
      Returns:
        errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.